> For the complete documentation index, see [llms.txt](https://docs.barte.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.barte.com/api-reference/intermediador-de-pagamentos/financeiro/detalhar-recebiveis-do-vendedor.md).

# Detalhar Recebíveis do Vendedor

## Detalhes de recebíveis do seller

> Retorna os detalhes dos recebíveis de um seller específico

```json
{"openapi":"3.0.3","info":{"title":"Sellers API","version":"2.0.0"},"servers":[{"url":"https://api.barte.com","description":"Servidor de produção"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-token-api","description":"Token de API obrigatório para autenticação"}},"schemas":{"Error":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Código do erro seguindo padrão BAR-XXXX"},"title":{"type":"string","description":"Título do erro"},"description":{"type":"string","description":"Descrição detalhada do erro"}}}}},"required":["errors"]}}},"paths":{"/v2/seller/{sellerId}/receivables/details":{"get":{"summary":"Detalhes de recebíveis do seller","description":"Retorna os detalhes dos recebíveis de um seller específico","operationId":"getReceivablesDetails","tags":["Receivables"],"parameters":[{"name":"sellerId","in":"path","required":true,"description":"ID do Seller","schema":{"type":"string"}},{"name":"date","in":"query","required":true,"description":"Data para consulta dos recebíveis (formato YYYY-MM-DD)","schema":{"type":"string","format":"date"}},{"name":"page","in":"query","required":false,"description":"Número da página para paginação","schema":{"type":"integer"}},{"name":"limit","in":"query","required":false,"description":"Quantidade de itens por página","schema":{"type":"integer"}}],"responses":{"200":{"description":"Resposta bem-sucedida","content":{"application/json":{"schema":{"type":"object","properties":{"page":{"type":"integer","description":"Número da página atual"},"limit":{"type":"integer","description":"Quantidade de itens por página"},"total_page":{"type":"integer","description":"Total de páginas"},"total_records":{"type":"integer","description":"Total de registros"},"has_prev":{"type":"boolean","description":"Indica se existe página anterior"},"has_next":{"type":"boolean","description":"Indica se existe próxima página"},"date":{"type":"string","format":"date","description":"Data da consulta"},"expected_total_amount":{"type":"number","format":"float","description":"Valor total esperado"},"receivables":{"type":"array","description":"Lista de recebíveis","items":{"type":"object","properties":{"expected_net_amount":{"type":"number","format":"float","description":"Valor líquido esperado"},"expected_gross_amount":{"type":"number","format":"float","description":"Valor bruto esperado"},"charge_uuid":{"type":"string","format":"uuid","description":"UUID da cobrança"},"execution_date":{"type":"string","format":"date","description":"Data de execução"},"installment":{"type":"integer","description":"Número da parcela"},"statement_description":{"type":"string","description":"Descrição do extrato"},"details":{"type":"array","description":"Detalhes do recebível","items":{"type":"object","properties":{"type":{"type":"string","enum":["CREDIT","DEBIT"],"description":"Tipo de transação"},"description":{"type":"string","description":"Descrição da transação"},"statement_uuid":{"type":"string","format":"uuid","description":"UUID do extrato"},"amount":{"type":"number","format":"float","description":"Valor da transação"}}}}}}}}}}}},"400":{"description":"Requisição inválida","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Não autorizado","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Erro interno do servidor","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.barte.com/api-reference/intermediador-de-pagamentos/financeiro/detalhar-recebiveis-do-vendedor.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
